| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csShaderProgram::VariableMapEntry Struct Reference

Holder of variable mapping. More...

`#include <csplugincommon/shader/shaderprogram.h>`

Inheritance diagram for csShaderProgram::VariableMapEntry:

[legend]
List of all members.

## Public Member Functions
| VariableMapEntry (const csShaderVarMapping &other)
| VariableMapEntry (csStringID s, const char *d)
## Public Attributes
ProgramParam | mappingParam
intptr_t | userVal

## Detailed Description

Holder of variable mapping.

Definition at line 117 of file shaderprogram.h.

The documentation for this struct was generated from the following file:

- csplugincommon/shader/shaderprogram.h